import info


class Print_formatter:
    def print_info_list(self, info_list):
        """
        Print check result.

        Parameters
        ----------
        info_list : list of dicts
            A list containing information on check results.

        Returns
        -------
        printed_str : str
            Printed string.
        """
        if not info_list:
            return ""

        printed_str = ""
        for info_dict in info_list:
            position = info_dict[info.INFO_KEY_POSITION]
            printed_str += "{file_path}:{line}:{column}:{message}:{ref}\n".format(
                file_path=position[info.INFO_SUBKEY_PATH],
                line=position[info.INFO_SUBKEY_LINE],
                column=position[info.INFO_SUBKEY_COLUMN],
                message=info_dict[info.INFO_KEY_DESCRIPTION],
                ref=info_dict[info.INFO_KEY_REFERENCE],
            )
        print(printed_str)
        return printed_str
